
  <!DOCTYPE html>
  <html>
    <head>
      <title>index.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/pages/login/index.tsx</td><td class="">100.00%</td><td class="">80%</td><td class="">107</td><td class="">107</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React, { useCallback, useState } from &#x27;react&#x27;;

import s from &#x27;./login.module.scss&#x27;;
import { Heading, HeadingVariant, Logo } from &#x27;../../components&#x27;;
import { Button, ButtonVariant } from &#x27;../../components/Button/Button&#x27;;
import { Field } from &#x27;../../components/Field/Field&#x27;;
import { useHistory } from &#x27;react-router-dom&#x27;;
import { Paths } from &#x27;../../routes/paths&#x27;;
import { useUserMutation } from &#x27;../../queries/users&#x27;;

export const LoginPage = () =&gt; {
  const [login, setLogin] = useState(&#x27;&#x27;);
  const [password, setPassword] = useState(&#x27;&#x27;);
  const history = useHistory();

  const onSuccess = useCallback(() =&gt; history.push(Paths.PROJECTS), [history]);
  const { mutate, isLoading } = useUserMutation({ onSuccess });

  return (
    &lt;div className={s.Login}&gt;
      &lt;div className={s.Login__wrapper}&gt;
        &lt;div className={s.Login__head}&gt;
          &lt;Logo className={s.Login__logo} /&gt;
          &lt;Heading variant={HeadingVariant.H3}&gt;Bioprocess Simulator&lt;/Heading&gt;
        &lt;/div&gt;
        &lt;div className={s.Login__content}&gt;
          &lt;Heading
            variant={HeadingVariant.H3}
            className={s.Login__contentHeader}
          &gt;
            Log in
          &lt;/Heading&gt;
          &lt;div className={s.Login__contentFields}&gt;
            &lt;Field
              fullWidth
              size=&quot;large&quot;
              label=&quot;Email&quot;
              value={login}
              onChange={setLogin}
            /&gt;
            &lt;Field
              fullWidth
              size=&quot;large&quot;
              label=&quot;Password&quot;
              type=&quot;password&quot;
              value={password}
              onChange={setPassword}
            /&gt;
          &lt;/div&gt;
          &lt;Button
            fullWidth
            hoverVariant={ButtonVariant.DEFAULT}
            variant={ButtonVariant.ACTION}
            disabled={isLoading}
            onClick={() =&gt; {
              mutate({ login, password });
            }}
          &gt;
            Log in
          &lt;/Button&gt;
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  